import NetworkError from './lib/network-error';
import GraphQLError from './lib/graphql-error';
export interface QueryOptions {
    readonly timeout?: number;
    readonly retry?: boolean;
    readonly cache?: boolean;
    readonly refetchOnFocus?: boolean;
}
export interface FetchMoreOptions {
    merge: <T>(prevData: T, nextData: T) => T;
}
export interface Result<T> {
    data: T | undefined;
    isLoading: boolean;
    error: NetworkError | GraphQLError | undefined;
    refetch: () => Promise<void>;
    fetchMore: (variables: object, options?: FetchMoreOptions) => Promise<void>;
    isFetchingMore: boolean;
}
