import { DocumentNode } from 'graphql';
import NetworkError from './lib/network-error';
import GraphQLError from './lib/graphql-error';
interface MutationOptions {
    readonly refetchQueries?: boolean | DocumentNode[];
    readonly waitForRefetchQueries?: boolean;
}
interface Result<T> {
    mutate: (variables?: object) => Promise<T | undefined>;
    data: T | undefined;
    isLoading: boolean;
    error: NetworkError | GraphQLError | undefined;
}
declare const _default: <T>(query: DocumentNode, options?: MutationOptions) => Result<T>;
export default _default;
