import { Dispatch, SetStateAction } from 'react';
import { DocumentNode } from 'graphql';
import NetworkError from './lib/network-error';
import GraphQLError from './lib/graphql-error';
interface QueryOptions {
    readonly timeout?: number;
    readonly retry?: boolean;
    readonly cache?: boolean;
    readonly refetchOnFocus?: boolean;
}
interface FetchMoreOptions {
    merge: <T>(prevData: T, nextData: T) => T;
}
interface Result<T> {
    data: T | undefined;
    setData: Dispatch<SetStateAction<T | undefined>>;
    isLoading: boolean;
    error: NetworkError | GraphQLError | undefined;
    refetch: () => Promise<void>;
    fetchMore: (variables: object, options?: FetchMoreOptions) => Promise<void>;
    isFetchingMore: boolean;
}
declare const _default: <T>(query: DocumentNode, variables?: object, options?: QueryOptions) => Result<T>;
export default _default;
